Page MenuHomePhabricator

[libcxx] Add compatible with constraint tests for some shared_ptr constructors.
ClosedPublic

Authored by zoecarver on Jun 9 2020, 9:59 PM.

Details

Summary

Add shared_ptr tests where the element type and pointer type aren't 'convertible' but are 'compatible'.

Responding to a comment from D81414.

Diff Detail

Event Timeline

zoecarver created this revision.Jun 9 2020, 9:59 PM
Herald added a project: Restricted Project. · View Herald TranscriptJun 9 2020, 9:59 PM
Herald added a reviewer: Restricted Project. · View Herald Transcript

Ping. This is a NFC.

ldionne accepted this revision.Jul 28 2020, 5:54 AM
This revision is now accepted and ready to land.Jul 28 2020, 5:54 AM
This revision was landed with ongoing or failed builds.Aug 1 2020, 12:07 PM
This revision was automatically updated to reflect the committed changes.